import request from '@/utils/request'

// 查询项目设置列表
export function listProProjectInfoSetting(query) {
  return request({
    url: '/manage/proProjectInfoSetting/list',
    method: 'get',
    params: query
  })
}

// 查询项目设置详细
export function getProProjectInfoSetting(id) {
  return request({
    url: '/manage/proProjectInfoSetting/' + id,
    method: 'get'
  })
}

// 新增项目设置
export function addProProjectInfoSetting(data) {
  return request({
    url: '/manage/proProjectInfoSetting',
    method: 'post',
    data: data
  })
}

// 修改项目设置
export function updateProProjectInfoSetting(data) {
  return request({
    url: '/manage/proProjectInfoSetting',
    method: 'put',
    data: data
  })
}

// 删除项目设置
export function delProProjectInfoSetting(id) {
  return request({
    url: '/manage/proProjectInfoSetting/' + id,
    method: 'delete'
  })
}
